petsc-3.4.2 2013-07-02

# PetscStrncpy

Copies a string up to a certain length

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrncpy(char s[],const char t[],size_t n)

Not Collective

### Input Parameters

| t | - pointer to string
| n | - the length to copy

### Output Parameter

s -the copied string

### Note

Null string returns a string starting with zero

### See Also

PetscStrcpy(), PetscStrcat(), PetscStrncat()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages